import { InputType } from '@nestjs/graphql';
import { IsDate, IsOptional, IsString, Length } from 'class-validator';

@InputType()
export class CreateArticleInput {
  @IsString()
  @Length(1, 100)
  title: string;

  @IsString()
  @Length(2, 100000)
  content: string;

  @IsOptional()
  @IsDate()
  publishedAt?: Date;

  @IsString({ each: true })
  tags: string[];
}
